org.apache.pdfbox.preflight.annotation

## Class LinkAnnotationValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidator
  - - org.apache.pdfbox.preflight.annotation.LinkAnnotationValidator

    public class LinkAnnotationValidator
    extends AnnotationValidator

Validation class for the LinkAnnotation

### Field Summary

Fields
`protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationLink` `pdLink` PDFBox object which wraps the annotation dictionary

### Fields inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`annotDictionary, ctx, pdAnnot`

### Constructor Summary

Constructors
Constructor and Description
`LinkAnnotationValidator(PreflightContext ctx, org.apache.pdfbox.cos.COSDictionary annotDictionary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `checkDest()` Check if the Dest element is authorized according to the A entry
`boolean` `validate()` In addition of the AnnotationValidator.validate() method, this method executes the checkDest method.

### Methods inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`checkActions, checkAP, checkCA, checkColors, checkFlags, checkMandatoryFields, checkPopup, checkSpecificMandatoryFields, searchRGBProfile, setFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pdLink

    protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationLink pdLink

PDFBox object which wraps the annotation dictionary

### Constructor Detail

#### LinkAnnotationValidator

    public LinkAnnotationValidator(PreflightContext ctx,
                                   org.apache.pdfbox.cos.COSDictionary annotDictionary)

### Method Detail

#### validate

    public boolean validate()
                     throws ValidationException

In addition of the AnnotationValidator.validate() method, this method executes the checkDest method.

Overrides:
  `validate` in class `AnnotationValidator`
Returns:
  true if validation succeed, false otherwise.
Throws:
  `ValidationException`
See Also:
  `AnnotationValidator.validate()`

#### checkDest

    protected boolean checkDest()

Check if the Dest element is authorized according to the A entry

Returns:
  if the Dest element is authorized according to the A entry.